Core - Task # 51778

Epic # 55070 (Accepted): Workpackages
Epic # 54260 (Accepted): WP: FAL Missing Issues / Features / API
Story # 54272 (Resolved): As an Editor | expect FAL to work with the RTE

Status: Closed Priority: Must have

Author: Frank Kriger Category: rtehtmlarea

Created: 2013-09-05 Assigned To: Stanislas Rolland

Updated: 2014-02-05 Due date:

TYPOS3 Version: 6.0

PHP Version:

Complexity:

Sprint Focus:

Subiject: FE showing TYPOS Exception: #1375955684: You are not allowed to access the given folder (RTE Magic
Images)

Description

Pages with content elements containing RTE images located in folder /uploads' showing the exception 'TYPO3 Exception:
#1375955684: You are not allowed to access the given folder' after uligrading to TYPO3 6.0.9.

[x] Workaround
Commenting out line #1867 in file typo3/sysext/core/Classes/Resource/ResourceStorage.php seems to solve this problem:

I $this->assureFolderReadPermission($folder);

I had no further time to dig deeper into the problem as I'd to fix a live site.

Related issues:
duplicates Core - Task # 51807: RTE Magiclmage should use the FAL processing ... Resolved 2013-09-06

History

#1 - 2013-09-05 17:20 - Ernesto Baschny

- Category changed from File Abstraction Layer (FAL) to 1394
- Status changed from New to Accepted

- Priority changed from Should have to Must have

- Target version set to next-patchlevel

#2 - 2013-09-05 17:58 - Ernesto Baschny

- Subject changed from FE showing TYPO3 Exception: #1375955684: You are not allowed to access the given folder to FE showing TYPO3
Exception: #1375955684: You are not allowed to access the given folder (RTE Magic Images)

#3 - 2013-09-06 16:08 - Andrea Bohm

- File Uncaught _1376992145.txt added

When | use your workaround editors get an Uncaught TYPO3 Exception #1376992145.

#4 - 2013-09-06 16:25 - Andrea Bohm

Patch set 5 solved the RTE images problem: https://review.typo3.0rg/23660 (patch set 5)
https://review.typo3.org/23660

#5 - 2013-09-06 16:44 - Ernesto Baschny

- Is Regression set to Yes

#6 - 2013-09-06 16:45 - Ernesto Baschny
- Category changed from 1394 to rtehtmlarea

#7 - 2013-09-06 20:39 - Helmut Hummel

- Status changed from Accepted to Closed

close this one as duplicate (although older)

#8 - 2014-01-17 21:44 - Ernesto Baschny
- Parent task set to #54272

#9 - 2014-01-23 20:22 - Stanislas Rolland

- Assigned To set to Stanislas Rolland

#10 - 2014-02-05 14:43 - Steffen Ritter
- % Done changed from 0 to 100

Files
Uncaught_1376992145.txt 4.5kB 2013-09-06 Andrea B6hm
2015-08-04 22



